بخشها
GET https://push.cheraghestan.com/api/segments/
curl --request GET \
--url 'https://push.cheraghestan.com/api/segments/' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://push.cheraghestan.com/api/segments/' \
--header 'Authorization: Bearer {api_key}' \
| پارامترها | جزئیات | توضیحات |
|---|---|---|
| search | اختیاری رشته | رشته جستجو. |
| search_by | اختیاری رشته | چه فیلدی را جستجو میکنید. مقادیر مجاز: name. |
| website_id | اختیاری عدد صحیح | |
| datetime_field | اختیاری رشته | مقادیر مجاز: datetime, last_datetime |
| datetime_start | اختیاری رشته | نتایج را از این تاریخ و زمان شروع فیلتر کنید. فرمت Y-m-d H:i:s. |
| datetime_end | اختیاری رشته | نتایج را تا این تاریخ و زمان فیلتر کنید. فرمت Y-m-d H:i:s. |
| order_by | اختیاری رشته | نتایج بر اساس کدام فیلد مرتب شوند. مقادیر مجاز: segment_id, datetime, last_datetime, name, total_subscribers. |
| order_type | اختیاری رشته | ترتیب نتایج. مقادیر مجاز: ASC برای ترتیب صعودی، و DESC برای ترتیب نزولی. |
| page | اختیاری عدد صحیح | شماره صفحهای که میخواهید نتایج از آن باشد. پیشفرض 1. |
| results_per_page | اختیاری عدد صحیح | چند نتیجه در هر صفحه میخواهید. مقادیر مجاز: 10, 25, 50, 100, 250, 500, 1000. پیشفرض 25. |
{
"data": [
{
"id": 1,
"user_id": 1,
"website_id": 1,
"name": "Example",
"settings": {
"subscribers_ids": [1,2,3,4,5]
},
"type": "custom",
"total_subscribers": 5,
"last_datetime": null,
"datetime": "2026-10-13 14:38:04",
}
],
"meta": {
"page": 1,
"results_per_page": 25,
"total": 1,
"total_pages": 1
},
"links": {
"first": "https://push.cheraghestan.com/api/segments?page=1",
"last": "https://push.cheraghestan.com/api/segments?page=1",
"next": null,
"prev": null,
"self": "https://push.cheraghestan.com/api/segments?page=1"
}
}
GET https://push.cheraghestan.com/api/segments/{segment_id}
curl --request GET \
--url 'https://push.cheraghestan.com/api/segments/{segment_id}' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://push.cheraghestan.com/api/segments/{segment_id}' \
--header 'Authorization: Bearer {api_key}' \
{
"data": {
"id": 1,
"user_id": 1,
"website_id": 1,
"name": "Example",
"settings": {
"subscribers_ids": [1,2,3,4,5]
},
"type": "filter",
"total_subscribers": 5,
"last_datetime": null,
"datetime": "2026-10-13 14:38:04",
}
}
POST https://push.cheraghestan.com/api/segments
| پارامترها | جزئیات | توضیحات |
|---|---|---|
| website_id | الزامی عدد صحیح | - |
| name | الزامی رشته | - |
| type | اختیاری رشته | مقادیر مجاز: custom, filter |
| subscribers_ids | اختیاری رشته | در دسترس زمانی که: segment = custom |
| filters_custom_parameter_key[index] | اختیاری رشته | در دسترس زمانی که: segment = filter |
| filters_custom_parameter_condition[index] | اختیاری رشته |
مقادیر مجاز: exact, not_exact, contains, not_contains, starts_with, not_starts_with, ends_with, not_ends_with, bigger_than, lower_than در دسترس زمانی که: segment = filter |
| filters_custom_parameter_value[index] | اختیاری رشته | در دسترس زمانی که: segment = filter |
| filters_datetime_condition | اختیاری رشته | در دسترس زمانی که: segment = filter within_last, older_than |
| filters_datetime_value | اختیاری عدد صحیح | در دسترس زمانی که: segment = filter روز |
| filters_last_datetime_condition | اختیاری رشته | در دسترس زمانی که: segment = filter within_last, older_than |
| filters_last_datetime_value | اختیاری عدد صحیح | در دسترس زمانی که: segment = filter روز |
| filters_last_seen_online_datetime_condition | اختیاری رشته | در دسترس زمانی که: segment = filter within_last, older_than |
| filters_last_seen_online_datetime_value | اختیاری عدد صحیح | در دسترس زمانی که: segment = filter روز |
| filters_last_sent_datetime_condition | اختیاری رشته | در دسترس زمانی که: segment = filter within_last, older_than |
| filters_last_sent_datetime_value | اختیاری عدد صحیح | در دسترس زمانی که: segment = filter روز |
| filters_subscribed_on_url | اختیاری رشته | در دسترس زمانی که: segment = filter |
| filters_cities | اختیاری رشته | در دسترس زمانی که: segment = filter |
| filters_countries[] | اختیاری رشته | در دسترس زمانی که: segment = filter |
| filters_continents[] | اختیاری رشته | در دسترس زمانی که: segment = filter |
| filters_device_type[] | اختیاری رشته | در دسترس زمانی که: segment = filter |
| filters_languages[] | اختیاری رشته | در دسترس زمانی که: segment = filter |
| filters_operating_systems[] | اختیاری رشته | در دسترس زمانی که: segment = filter |
| filters_browsers[] | اختیاری رشته | در دسترس زمانی که: segment = filter |
curl --request POST \
--url 'https://push.cheraghestan.com/api/segments' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=Example name' \
--form 'website_id=1' \
--form 'type=custom' \
--form 'subscribers_ids=1,2,3,4,5' \
--url 'https://push.cheraghestan.com/api/segments' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=Example name' \
--form 'website_id=1' \
--form 'type=custom' \
--form 'subscribers_ids=1,2,3,4,5' \
{
"data": {
"id": 1
}
}
POST https://push.cheraghestan.com/api/segments/{segment_id}
| پارامترها | جزئیات | توضیحات |
|---|---|---|
| website_id | اختیاری عدد صحیح | - |
| name | اختیاری رشته | - |
| type | اختیاری رشته | مقادیر مجاز: custom, filter |
| subscribers_ids | اختیاری رشته | در دسترس زمانی که: segment = custom |
| filters_custom_parameter_key[index] | اختیاری رشته | در دسترس زمانی که: segment = filter |
| filters_custom_parameter_condition[index] | اختیاری رشته |
مقادیر مجاز: exact, not_exact, contains, not_contains, starts_with, not_starts_with, ends_with, not_ends_with, bigger_than, lower_than در دسترس زمانی که: segment = filter |
| filters_custom_parameter_value[index] | اختیاری رشته | در دسترس زمانی که: segment = filter |
| filters_datetime_condition | اختیاری رشته | در دسترس زمانی که: segment = filter within_last, older_than |
| filters_datetime_value | اختیاری عدد صحیح | در دسترس زمانی که: segment = filter روز |
| filters_last_datetime_condition | اختیاری رشته | در دسترس زمانی که: segment = filter within_last, older_than |
| filters_last_datetime_value | اختیاری عدد صحیح | در دسترس زمانی که: segment = filter روز |
| filters_last_seen_online_datetime_condition | اختیاری رشته | در دسترس زمانی که: segment = filter within_last, older_than |
| filters_last_seen_online_datetime_value | اختیاری عدد صحیح | در دسترس زمانی که: segment = filter روز |
| filters_last_sent_datetime_condition | اختیاری رشته | در دسترس زمانی که: segment = filter within_last, older_than |
| filters_last_sent_datetime_value | اختیاری عدد صحیح | در دسترس زمانی که: segment = filter روز |
| filters_subscribed_on_url | اختیاری رشته | در دسترس زمانی که: segment = filter |
| filters_cities | اختیاری رشته | در دسترس زمانی که: segment = filter |
| filters_countries[] | اختیاری رشته | در دسترس زمانی که: segment = filter |
| filters_continents[] | اختیاری رشته | در دسترس زمانی که: segment = filter |
| filters_device_type[] | اختیاری رشته | در دسترس زمانی که: segment = filter |
| filters_languages[] | اختیاری رشته | در دسترس زمانی که: segment = filter |
| filters_operating_systems[] | اختیاری رشته | در دسترس زمانی که: segment = filter |
| filters_browsers[] | اختیاری رشته | در دسترس زمانی که: segment = filter |
curl --request POST \
--url 'https://push.cheraghestan.com/api/segments/{segment_id}' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=Example name' \
--form 'website_id=1' \
--form 'type=custom' \
--form 'subscribers_ids=1,2,3,4,5' \
--url 'https://push.cheraghestan.com/api/segments/{segment_id}' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=Example name' \
--form 'website_id=1' \
--form 'type=custom' \
--form 'subscribers_ids=1,2,3,4,5' \
{
"data": {
"id": 1
}
}
DELETE https://push.cheraghestan.com/api/segments/{segment_id}
curl --request DELETE \
--url 'https://push.cheraghestan.com/api/segments/{segment_id}' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://push.cheraghestan.com/api/segments/{segment_id}' \
--header 'Authorization: Bearer {api_key}' \